PHP K�sikirja
Edellinen |  | Seuraava

# gzfile

(PHP 3, PHP 4 , PHP 5)

gzfile -- Read entire gz-file into an array

## Description

array gzfile ( string filename [, int use_include_path] )

This function is identical to readgzfile(), except that it returns the file in an array.

## Parameters

filename

  The file name.

use_include_path

  You can set this optional parameter to 1, if you want to search for the file in the include_path too.

## Return values

An array containing the file, one line per cell.

## Examples

Esimerkki 1. gzfile() example

`<?php $lines = gzfile('somefile.gz'); foreach ($lines as $line) { echo $line; } ?>`

## See Also

readgzfile()
gzopen()

Edellinen | Alkuun | Seuraava
gzeof | Ylös | gzgetc